Sympa::Spindle::ProcessDigest(3Sympa)

NAME
Sympa::Spindle::ProcessDigest - Workflow of digest sending

SYNOPSIS
  use Sympa::Spindle::ProcessDigest;

  my $spindle = Sympa::Spindle::ProcessDigest->new;
  $spindle->spin;

DESCRIPTION
Sympa::Spindle::ProcessDigest defines workflow to distribute digest messages.

When spin() method is invoked, messages kept in digest spool of each list are compiled into digest messages (MIME digest, plain text digest or summary) and stored into outgoing spool. Lists not reaching the time to distribute digest are omitted.

  Public methods
See also "Public methods" in Sympa::Spindle.

new ( [ send_now => 1 ], [ keep_digest => 1 ] )
spin ( )
    If "send_now" is set, spin() stores digests of all lists keeping unsent digests into outgoing spool, including the lists not reaching time to distribute. If "keep_digest" is set, won't remove compiled messages from digest spool.

  Properties
See also "Properties" in Sympa::Spindle.

{distaff}
    Instance of Sympa::Spool::Digest::Collection class.

SEE ALSO
Sympa::Spindle, Sympa::Spool::Digest, Sympa::Spool::Digest::Collection.

HISTORY
Sympa::Spindle::SendDigest appeared on Sympa 6.2.10. It was renamed to Sympa::Spindle::ProcessDigest on Sympa 6.2.13.